Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Don't want gnome-3; how to avoid it.
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
msulli1355
Tux's lil' helper
Tux's lil' helper


Joined: 24 Nov 2005
Posts: 98
Location: OKlahoma, USA

PostPosted: Thu Jan 02, 2014 10:14 pm    Post subject: Don't want gnome-3; how to avoid it. Reply with quote

I don't update my system very often, and for now gnome-2 does what I need it to. How do I avoid gnome-3?
I got this list of packages to block from another thread on this forum:

>=dev-libs/libgweather-3.0
>=gnome-base/libgnomekbd-3.0
=media-libs/libcanberra-0.28-r4
# Core Applications
>=app-accessibility/orca-3.0
>=gnome-base/gdm-3.0
>=gnome-base/gnome-applets-3.0
>=gnome-base/gnome-keyring-3.0
>=gnome-base/gnome-menus-3.0
>=gnome-base/gnome-panel-3.0
>=gnome-base/gnome-session-3.0
>=gnome-base/gnome-settings-daemon-3.0
>=gnome-base/gnome-control-center-3.0
>=gnome-base/gnome-shell-3.0
>=gnome-base/libgnome-keyring-3.0
>=gnome-base/nautilus-3.0
>=x11-wm/metacity-2.34
>=x11-wm/mutter-3.0
# Extra Applications
>=app-arch/file-roller-3.0
>=app-cdr/brasero-3.0
>=app-crypt/seahorse-3.0
>=app-editors/gedit-3.0
>=app-editors/gedit-plugins-3.0
>=app-text/gtranslator-2.90
>=app-text/evince-3.0
>=dev-util/anjuta-3.0
>=app-pda/gtkpod-2.1.0
>=dev-util/devhelp-3.0
>=gnome-extra/drwright-3.0
>=gnome-extra/evolution-data-server-3.0
>=gnome-extra/evolution-exchange-3.0
>=gnome-extra/gcalctool-6.0
>=gnome-extra/gconf-editor-3.0
>=gnome-extra/gnome-color-manager-3.0
>=gnome-extra/gnome-games-3.0
>=gnome-extra/gnome-games-extra-data-3.0
>=gnome-extra/gnome-media-2.32.0-r300
>=gnome-extra/gnome-packagekit-3.0
>=gnome-extra/gnome-power-manager-3.0
>=gnome-extra/gnome-screensaver-3.0
>=gnome-extra/gnome-system-monitor-3.0
>=gnome-extra/gnome-tweak-tool-3.0
>=gnome-extra/gnome-user-share-3.0
>=gnome-extra/gnome-utils-3.0
>=gnome-extra/gucharmap-3.0
>=gnome-extra/mousetweaks-3.0
>=gnome-extra/nautilus-sendto-3.0
gnome-extra/office-runner
>=gnome-extra/zenity-3.0
>=mail-client/evolution-3.0
>=media-gfx/eog-3.0
>=media-sound/rhythmbox-2.90
>=media-sound/sound-juicer-2.99
>=media-video/cheese-3.0
>=media-video/totem-3.0
>=net-analyzer/gnome-nettool-3.0
>=net-im/empathy-3.0
>=net-misc/vinagre-3.0
>=net-misc/vino-3.0
>=net-wireless/gnome-bluetooth-3.0
>=sys-apps/gnome-disk-utility-3.0.2-r300
>=www-client/epiphany-3.0
>=www-client/epiphany-extensions-3.0
>=x11-terms/gnome-terminal-3.0
# Documentation
>=gnome-extra/yelp-3.0
>=dev-util/gnome-devel-docs-3.0
>=gnome-extra/gnome-user-docs-3.0
# NetworkManager
>=net-misc/networkmanager-0.8.99
>=net-misc/networkmanager-pptp-0.8.99
>=net-misc/networkmanager-openconnect-0.8.99
>=net-misc/networkmanager-openvpn-0.8.99
>=net-misc/networkmanager-openswan-0.8.99
>=net-misc/networkmanager-vpnc-0.8.99
>=gnome-extra/nm-applet-0.8.99
# Meta packages
>=gnome-base/gnome-core-apps-3.0
>=gnome-base/gnome-extra-apps-3.0
>=gnome-base/gnome-core-libs-3.0
>=gnome-base/gnome-fallback-3.0
>=gnome-base/gnome-light-3.0
>=gnome-base/gnome-3.0
# Misc applications
>=gnome-extra/nautilus-open-terminal-0.19
>=app-mobilephone/gnome-phone-manager-0.67
>=app-accessibility/caribou-0.4
app-admin/eselect-gnome-shell-extensions
>=app-misc/tracker-0.12
>=dev-libs/folks-0.6
>=dev-libs/libgdata-0.9
>=dev-python/pyatspi-2.2
>=gnome-base/gconf-3.2
>=gnome-extra/at-spi-2.2
gnome-extra/gnome-contacts
gnome-extra/gnome-documents
gnome-extra/gnome-shell-extensions
>=gnome-extra/nautilus-tracker-tags-0.12
gnome-extra/sushi
>=media-libs/clutter-1.7
>=media-libs/cogl-1.7
>=net-libs/gnome-online-accounts-3
>=x11-libs/libcryptui-3
>=x11-misc/alacarte-0.13.2-r50
>=app-accessibility/accerciser-3.2

The trouble is that some of those packages are already installed. I didn't realize what a hassle gnome-3 would be. But now, I can't seem to merge anything because I've added these packages to /etc/portage/package.mask and some of them are already installed with older version ebuilds no longer available. Do I just need to wipe my hard drive and start over, or is there an easier way? I hope there's an easier way...
Back to top
View user's profile Send private message
666threesixes666
Veteran
Veteran


Joined: 31 May 2011
Posts: 1241
Location: 42.68n 85.41w

PostPosted: Thu Jan 02, 2014 10:44 pm    Post subject: Reply with quote

id remove the masks from already installed packages, then re mask them from advancing any further.
_________________
cat /etc/*-release
Funtoo Linux - baselayout 2.2.0
consider this warning no. 1
https://wiki.gentoo.org/index.php?title=Special:Contributions/666threesixes666&offset=&limit=500&target=666threesixes666
Back to top
View user's profile Send private message
alexcortes
Tux's lil' helper
Tux's lil' helper


Joined: 18 Dec 2011
Posts: 124
Location: Rio de Janeiro, Brazil

PostPosted: Tue Jan 07, 2014 2:33 pm    Post subject: Reply with quote

You may give a try to MATE Desktop. :D

EDIT: http://mate-desktop.org/
Back to top
View user's profile Send private message
pjp
Administrator
Administrator


Joined: 16 Apr 2002
Posts: 16113
Location: Colorado

PostPosted: Wed Jan 08, 2014 10:34 pm    Post subject: Reply with quote

Moved from Desktop Environments to Duplicate Threads.

Masking Gnome 3

Or if the MATE suggestion is appealing:
Installing Mate from the MATE overlay
_________________
lolgov. 'cause where we're going, you don't have civil liberties.

In Loving Memory
1787 - 2008
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum